Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions | Variables
ossl_bn.h File Reference

Go to the source code of this file.

## Macros
#define | GetBNPtr(obj) ossl_bn_value_ptr(&(obj))

## Functions
VALUE | ossl_bn_new (const BIGNUM *)
BIGNUM * | ossl_bn_value_ptr (volatile VALUE *)
void | Init_ossl_bn (void)

## Variables
VALUE | cBN
VALUE | eBNError
BN_CTX * | ossl_bn_ctx

## Macro Definition Documentation

## ◆ GetBNPtr

#define GetBNPtr | ( |  | obj | ) | ossl_bn_value_ptr(&(obj))

Definition at line 18 of file ossl_bn.h.

## Function Documentation

## ◆ Init_ossl_bn()

void Init_ossl_bn | ( | void |  | ) |

Definition at line 1085 of file ossl_bn.c.

References cBN, eBNError, eOSSLError, mOSSL, ossl_bn_ctx, ossl_raise(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_module(), rb_eRuntimeError, and rb_eStandardError.

## ◆ ossl_bn_new()

VALUE ossl_bn_new | ( | const BIGNUM * |  | ) |

Definition at line 58 of file ossl_bn.c.

References cBN, eBNError, NewBN, NULL, obj, ossl_raise(), and SetBN.

Referenced by asn1integer_to_num().

## ◆ ossl_bn_value_ptr()

BIGNUM* ossl_bn_value_ptr | ( | volatile VALUE * |  | ) |

Definition at line 136 of file ossl_bn.c.

## Variable Documentation

## ◆ cBN

VALUE cBN

Definition at line 46 of file ossl_bn.c.

Referenced by Init_ossl_bn(), and ossl_bn_new().

## ◆ eBNError

VALUE eBNError

Definition at line 52 of file ossl_bn.c.

Referenced by BIGNUM_1c(), Init_ossl_bn(), and ossl_bn_new().

## ◆ ossl_bn_ctx

BN_CTX* ossl_bn_ctx

Definition at line 158 of file ossl_bn.c.

Referenced by BIGNUM_1c(), and Init_ossl_bn().